using System.Collections;
using System.Collections.Generic;
using Godot;
using System;
using System.Threading.Tasks;



namespace Rokojori
{
  [Tool]
  [GlobalClass]
  public partial class UpdateGrassPatch:Action
  {
    [Export]
    public GrassPatch grassPatch;

    protected override void _OnTrigger()
    {
      
      if ( grassPatch == null || grassPatch.isCreating )
      {
        return;
      }

      grassPatch.CreatePatch( "Grass Patch" );
    }
    
  }
}